Results 1 to 8 of 8

Thread: update-alternatives install error - Can't see problem

  1. #1
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    13,295
    Blog Entries
    2

    Default update-alternatives install error - Can't see problem

    Tumbleweed,
    Attempting to install the fvwm2 window manager, and then configure its selection.

    After installing the fvwm2 package, it's missing the necessary update-alternatives to enable its selection.
    Attempting to create the alternative, but I can't see what I'm doing wrong (been staring cross-eyed at it for awhile), hoping someone else can see what is wrong with the following install statement.

    The screenshot shows the location of the selection followed by the install command and its error.

    TIA,
    TSU


    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,674
    Blog Entries
    3

    Default Re: update-alternatives install error - Can't see problem

    I'm not sure -- it's been a while since I tried that. But I think you need a "--slave" option to add an new choice to an existing alternatives entry.

    I just install "fvwm" and the select it from the "lightdm" or "gdm" menu. It probably shows up in the menu for other login managers (such as "sddm" or "kdm"), but I haven't checked those recently.
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  3. #3
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    13,295
    Blog Entries
    2

    Default Re: update-alternatives install error - Can't see problem

    Quote Originally Posted by nrickert View Post
    I'm not sure -- it's been a while since I tried that. But I think you need a "--slave" option to add an new choice to an existing alternatives entry.

    I just install "fvwm" and the select it from the "lightdm" or "gdm" menu. It probably shows up in the menu for other login managers (such as "sddm" or "kdm"), but I haven't checked those recently.
    Thx.
    But, I doubt that ordinarily a window manager should be selected as a display manager.
    Also, because this is TW, we're no longer supposed to configure the DM and WM through YaST or within /etc/systemctl/, it's now supposed to be done by way of update-alternatives... which is why I need to figure this out if fvwm2 is to be configured (or submit a bug and wait for someone else to do it).

    I don't usually configure -slave entries except as a sub-setting of a main entry...
    In this case, I'm pretty sure that it shouldn't be configured as a slave entry because it's a whole different symbolic link.
    (Am welcome to be corrected if I'm mistaken)

    But,
    I normally configure alternatives to configure symbolic links to a binary.
    This is the first time I'm trying to configure a symbolic link to a configuration so don't know if it has anything to do with the error I'm getting.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  4. #4
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,674
    Blog Entries
    3

    Default Re: update-alternatives install error - Can't see problem

    Okay, my first reply was wrong.

    After rereading the man page:

    It looks as if you need to change "default-session.desktop" to
    "default-xsession.desktop"
    in your command line.

    And maybe a bug report on why installing fvwm2 doesn't take care of that.
    openSUSE Leap 15.3; KDE Plasma 5.18.6;

  5. #5
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    13,295
    Blog Entries
    2

    Default Re: update-alternatives install error - Can't see problem

    <sigh>
    Yes, you're right.

    The working command is
    Code:
    update-alternatives --install /usr/share/xsessions/default.desktop default.xsession.desktop /usr/share/xsessions/fvm2.desktop 30
    And then it's possible to double-check the work and from then on manage the window manager with
    Code:
    update-alternatives --config default-xsession.desktop
    Auto-complete helped me with every other entry in the command except the error,
    Too bad auto-complete isn't available for selecting group names.

    Thx,
    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  6. #6

    Default Re: update-alternatives install error - Can't see problem

    Btw, I think DEFAULT_WM in /etc/sysconfig/windowmanager is still being respected if it exists.
    (not DISPLAYMANAGER in /etc/sysconfig/displaymanager though, that is being ignored in any case)

  7. #7
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    13,295
    Blog Entries
    2

    Default Re: update-alternatives install error - Can't see problem

    In any case,

    For now until someone sorts out exactly what should really happen,

    In another Forum thread I described what I found works...

    If you're using the SDDM DM (I haven't tested with others),

    You can ignore the YaST /etc/sysconfig module and possibly /etc/sysconfig altogether and update-alternatives likely doesn't do anything at the moment, either. IN other words, whatever is in /etc/sysconfig is ignored and default is Plasma(Wayland).

    Instead...

    1. Install whatever Window Managers you want.
    2. Disable auto-login.
    3. When the SDDM login screen appears, select your WM at the bottom of the screen.
    4. Continue to login.

    To change WM, exit the existing WM so that the SDDM login screen displays, then select another WM and login.

    Seems to work for me...
    Tested with Plasma(Wayland), Plasma, fvwm2, awesome.
    All the above WM work nicely on a KDE system, did not test any GNOME based WM but expect should not work differently.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  8. #8

    Default Re: update-alternatives install error - Can't see problem

    Quote Originally Posted by tsu2 View Post
    To change WM, exit the existing WM so that the SDDM login screen displays, then select another WM and login.

    Seems to work for me...
    Tested with Plasma(Wayland), Plasma, fvwm2, awesome.
    All the above WM work nicely on a KDE system, did not test any GNOME based WM but expect should not work differently.
    Correct, that's what should work since years, and still now...

    Not necessarily with Auto-Login though, depending on the login/display-manager.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •